Package com.plannaplan.services

# Class LecturerService

java.lang.Object
com.plannaplan.services.LecturerService

    @Service
    public class LecturerService
    extends java.lang.Object

Service of LecturerService which can get(Lecturer, Lecturers Ammount), save, delete lecturers.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`LecturerService()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `delete​(Lecturer lecturer)` |
`java.util.Optional<Lecturer>` | `getLecturer​(java.lang.String title, java.lang.String name, java.lang.String surname)` |
`int` | `getLecturersAmmount()` |
`Lecturer` | `save​(Lecturer lecturer)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LecturerService

public LecturerService()

## Method Details

### getLecturer

public java.util.Optional<Lecturer> getLecturer​(java.lang.String title, java.lang.String name, java.lang.String surname)

### save

public Lecturer save​(Lecturer lecturer)

### delete

public void delete​(Lecturer lecturer)

### getLecturersAmmount

public int getLecturersAmmount()